edu.sc.seis.sod.subsetter.station

## Class StationEffectiveTimeOverlap

- java.lang.Object
- - edu.sc.seis.sod.subsetter.EffectiveTimeOverlap
  - - edu.sc.seis.sod.subsetter.station.StationEffectiveTimeOverlap

- All Implemented Interfaces:
    SodElement, StationSubsetter, Subsetter

      public class StationEffectiveTimeOverlap
      extends EffectiveTimeOverlap
      implements StationSubsetter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StationEffectiveTimeOverlap(org.w3c.dom.Element config)`
    `StationEffectiveTimeOverlap(edu.iris.Fissures.model.MicroSecondDate start, edu.iris.Fissures.model.MicroSecondDate end)`
    `StationEffectiveTimeOverlap(MicroSecondTimeRangeSupplier timeRange)`
    `StationEffectiveTimeOverlap(edu.iris.Fissures.TimeRange tr)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringTree` | `accept(edu.iris.Fissures.network.StationImpl station, NetworkSource network)`
    `boolean` | `overlaps(edu.iris.Fissures.IfNetwork.Station station)`

    - ### Methods inherited from class edu.sc.seis.sod.subsetter.EffectiveTimeOverlap

      `overlaps, overlaps`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StationEffectiveTimeOverlap

          public StationEffectiveTimeOverlap(MicroSecondTimeRangeSupplier timeRange)

    - #### StationEffectiveTimeOverlap

          public StationEffectiveTimeOverlap(org.w3c.dom.Element config)
                                      throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### StationEffectiveTimeOverlap

          public StationEffectiveTimeOverlap(edu.iris.Fissures.TimeRange tr)

    - #### StationEffectiveTimeOverlap

          public StationEffectiveTimeOverlap(edu.iris.Fissures.model.MicroSecondDate start,
                                             edu.iris.Fissures.model.MicroSecondDate end)

  - ### Method Detail

    - #### accept

          public StringTree accept(edu.iris.Fissures.network.StationImpl station,
                                   NetworkSource network)

      Specified by:
        `accept` in interface `StationSubsetter`

    - #### overlaps

          public boolean overlaps(edu.iris.Fissures.IfNetwork.Station station)